Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Importing android_core failed

Error on opening old working android_core project in Android Studio 0.3.4 (also in 0.2.0) Error on importing new android_core project in Android Studio 0.3.4 (also in 0.2.0)

Till last week I was able to use the android_core project which I imported to Android Studio 0.3.1. But when I opened it again yesterday (09.11)(in Android Studio 0.3.1) I was getting errors. On Sunday (10.11) I cloned a new android_core from the Github but I could not import it to Android Studio 0.3.1 (no error in catkin_make). I upgraded to Android Studio 0.3.4 (also to 0.3.5) but the same errors on opening the old working android_core and also for importing a new one.

[Error on importing] "Resolver error Could not find any version that matches org.ros.rosjava_bootstr ap:gradle_plugins:[0.1,0.2).
Required by: :android_core:unspecified
"

[Error on opening an old android_core] "Gradle 'android_core' project refresh failed: Could not execute build using Gradle distribution 'http://ser.../gradle-1.8-all.zip'
A problem occurred configuring project ':android_acm_serial'.
A problem occurred configuring project ':android_acm_serial'.
Failed to notify project evaluation listener.
A problem occurred configuring project ':android_honeycomb_mr2'.
Failed to notify project evaluation listener.
A problem occurred configuring project ':android_gingerbread_mr1'.
Failed to notify project evaluation listener.
Could not resolve all dependencies for configuration ':android_gingerbread_mr1:_DebugCompile'. Could not find any version that matches org.ros.rosjava_messages:sensor_msgs:1.10.+.
Required by: org.ros.android_core:android_gingerbread_mr1:0.1.0"

Then I degraded to Android Studio 0.2.0 tried again but it gave again the same errors.

I am using Ubuntu 12.04 and new to ROS. Is there any solution for the above errors ? Thanks, dtc.

Importing android_core failed

Error on opening old working android_core project in Android Studio 0.3.4 (also in 0.2.0) Error on importing new android_core project in Android Studio 0.3.4 (also in 0.2.0)

Till last week I was able to use the android_core project which I imported to Android Studio 0.3.1. But when I opened it again yesterday (09.11)(in Android Studio 0.3.1) I was getting errors. On Sunday (10.11) I cloned a new android_core from the Github but I could not import it to Android Studio 0.3.1 (no error in catkin_make). I upgraded to Android Studio 0.3.4 (also to 0.3.5) but the same errors on opening the old working android_core and also for importing a new one.

[Error on importing] "Resolver error Could not find any version that matches org.ros.rosjava_bootstr ap:gradle_plugins:[0.1,0.2).
Required by: :android_core:unspecified
"

[Error on opening an old android_core] "Gradle 'android_core' project refresh failed: Could not execute build using Gradle distribution 'http://ser.../gradle-1.8-all.zip'
A problem occurred configuring project ':android_acm_serial'.
A problem occurred configuring project ':android_acm_serial'.
Failed to notify project evaluation listener.
A problem occurred configuring project ':android_honeycomb_mr2'.
Failed to notify project evaluation listener.
A problem occurred configuring project ':android_gingerbread_mr1'.
Failed to notify project evaluation listener.
Could not resolve all dependencies for configuration ':android_gingerbread_mr1:_DebugCompile'. Could not find any version that matches org.ros.rosjava_messages:sensor_msgs:1.10.+.
Required by: org.ros.android_core:android_gingerbread_mr1:0.1.0"

Then I degraded to Android Studio 0.2.0 tried again but it gave again the same errors.

I am using Ubuntu 12.04 and new to ROS. Is there any solution for the above errors ? Thanks, dtc.